Subject: Re: [PATCH 1/2] mfd: Fixup clients of multi_reg_write/register_patch

From: Charles Keepax <[email-masked]>
Date: Fri, 18 Sep 2015 09:33:36 +0100

On Fri, Sep 18, 2015 at 01:50:15PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> On Mon, 20 Jul 2015 11:59:35 +1000 Stephen Rothwell <[email-masked]> wrote:
> >
> > On Fri, 17 Jul 2015 15:09:26 +0100 Nariman Poushin <[email-masked]> wrote:
> > >
> > > Introduced by:
> > > commit 8019ff6cfc04
> > > ("regmap: Use reg_sequence for multi_reg_write / register_patch")
> > > 
> > > Interacting with:
> > > commit 561629755a21 ("mfd: arizona: Add support for WM8998 and WM1814")
> > > commit 81207880cef2 ("mfd: wm5110: Add register patch for rev E and above")
> > > 
> > > Signed-off-by: Nariman Poushin <[email-masked]>
> > > ---
> > >  drivers/mfd/wm5110-tables.c | 2 +-
> > >  drivers/mfd/wm8998-tables.c | 2 +-
> > >  2 files changed, 2 insertions(+), 2 deletions(-)
> > 
> > I will apply both these patches as merge fix patches in linux-next
> > today.  Thanks.
> 
> It looks like that patch has been forgotten as I am still applying it
> to the linux-next tree every day ...

Apologies if I am a little out of my depth here, but are we in
the situation where you are expecting this to go through the MFD
tree and Lee is expecting it to go through your tree?

Assuming this is the case, Lee could you perhaps pull this fix in
fairly soon? As it is causing build warning for some configs, in
Linus's tree at the moment. I am quite happy to resend it on
Nariman's behalf if required (he is on holiday at the moment).

Thanks,
Charles